#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Service identity verification for pyOpenSSL & cryptography
Summary(pl.UTF-8):	Weryfikacja tożsamości usługi dla modułów pyOpenSSL i cryptography
Name:		python3-service_identity
Version:	24.2.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/service-identity/
Source0:	https://files.pythonhosted.org/packages/source/s/service-identity/service_identity-%{version}.tar.gz
# Source0-md5:	e575db51719742ec39191c896e4c2971
URL:		https://pypi.org/project/service_identity/
BuildRequires:	python3-build
BuildRequires:	python3-hatch-fancy-pypi-readme
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-attrs >= 19.1.0
BuildRequires:	python3-cryptography
BuildRequires:	python3-pyOpenSSL
BuildRequires:	python3-pyasn1
BuildRequires:	python3-pyasn1_modules
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-myst_parser
BuildRequires:	python3-sphinx-notfound-page
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Use this package if:
- you use pyOpenSSL and don't want to be MITM'ed or
- if you want to verify that a PyCA cryptography certificate is valid
  for a certain hostname or IP address.

%description -l pl.UTF-8
Ten moduł jest przydatny jeśli:
- używamy pyOpenSSL i chcemy uniknąć ataku MITM, lub też
- chcemy zweryfikować, że certyfikat PyCA cryptography jest poprawny
  dla określonej nazwy hosta lub adresu IP.

%package apidocs
Summary:	API documentation for Python service_identity module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona service_identity
Group:		Documentation

%description apidocs
API documentation for Python service_identity module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona service_identity.

%prep
%setup -q -n service_identity-%{version}

%build
%py3_build_pyproject

%if %{with tests} || %{with doc}
%{__python3} -m zipfile -e build-3/*.whl build-3-dev
%endif

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/build-3-dev \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/build-3-dev \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/service_identity
%{py3_sitescriptdir}/service_identity-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Jun 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-service_identity.git;a=log;h=master

* Wed Jun 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 240b0e0
- python-service_identity.spec updated to 24.2.0 for python 3.8+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ccc4b58
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7f59490
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5bef508
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7681f17
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 69c8008
- updated to 21.1.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 96957d2
- release 2 (by relup.sh)

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 7f2ca10
- new

